VERSION 5.00
Begin VB.Form frmCreateWallTile 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Create Walltiles"
   ClientHeight    =   4575
   ClientLeft      =   75
   ClientTop       =   360
   ClientWidth     =   6555
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   305
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   437
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picpreviewwalls 
      AutoRedraw      =   -1  'True
      BorderStyle     =   0  'None
      Height          =   3840
      Left            =   5160
      ScaleHeight     =   256
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   64
      TabIndex        =   9
      Top             =   120
      Width           =   960
      Begin VB.Shape selwall 
         BorderColor     =   &H000000FF&
         Height          =   960
         Left            =   0
         Top             =   0
         Width           =   960
      End
   End
   Begin VB.PictureBox picwalltiles 
      AutoRedraw      =   -1  'True
      BorderStyle     =   0  'None
      Height          =   3840
      Left            =   5160
      ScaleHeight     =   256
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   64
      TabIndex        =   8
      Top             =   4200
      Visible         =   0   'False
      Width           =   960
   End
   Begin VB.Frame Frame1 
      Caption         =   "Current"
      Height          =   1335
      Left            =   0
      TabIndex        =   6
      Top             =   0
      Width           =   3735
      Begin VB.PictureBox piccurrent 
         AutoRedraw      =   -1  'True
         BorderStyle     =   0  'None
         Height          =   960
         Left            =   1440
         ScaleHeight     =   64
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   64
         TabIndex        =   7
         Top             =   240
         Width           =   960
      End
   End
   Begin VB.CommandButton cmdRemove 
      Caption         =   "Remove"
      Height          =   255
      Left            =   4080
      TabIndex        =   5
      Top             =   840
      Width           =   975
   End
   Begin VB.CommandButton cmdReplace 
      Caption         =   "Replace ->"
      Height          =   255
      Left            =   4080
      TabIndex        =   4
      Top             =   480
      Width           =   975
   End
   Begin VB.VScrollBar vscr 
      Height          =   3855
      Left            =   6120
      TabIndex        =   3
      Top             =   120
      Width           =   255
   End
   Begin VB.CommandButton cmdAddNew 
      Caption         =   "Add New"
      Height          =   255
      Left            =   4080
      TabIndex        =   2
      Top             =   120
      Width           =   975
   End
   Begin VB.PictureBox picdefault 
      AutoRedraw      =   -1  'True
      BorderStyle     =   0  'None
      Height          =   960
      Left            =   3720
      Picture         =   "frmCreateWallTile.frx":0000
      ScaleHeight     =   960
      ScaleWidth      =   960
      TabIndex        =   1
      Top             =   3600
      Visible         =   0   'False
      Width           =   960
   End
   Begin VB.PictureBox pictileset 
      AutoRedraw      =   -1  'True
      BorderStyle     =   0  'None
      Height          =   3360
      Left            =   120
      ScaleHeight     =   224
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   304
      TabIndex        =   0
      Top             =   1440
      Width           =   4560
      Begin VB.Shape leftsel 
         BorderColor     =   &H000000FF&
         Height          =   240
         Left            =   240
         Top             =   360
         Width           =   240
      End
   End
End
Attribute VB_Name = "frmCreateWallTile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public curmap As frmMain

Dim curwall As Integer

Sub init(map As frmMain)
    Set curmap = map
    
    picwalltiles.Cls
    
    BitBlt pictileset.hdc, 0, 0, pictileset.Width, pictileset.Height, frmGeneral.pictileset.hdc, 0, 0, vbSrcCopy
    pictileset.refresh
    
    If curmap.walltiles.hasWallTiles Then
        DrawWallTiles
    End If

End Sub

Sub DrawWallTiles()
    picwalltiles.Cls
    picwalltiles.Height = (curmap.walltiles.UBnd + 1) * TileH * 4
    Dim i As Integer
    For i = 0 To curmap.walltiles.UBnd
        
        BitBlt picwalltiles.hdc, 0, (i * 4) * TileH, TileW * 4, TileH * 4, picdefault.hdc, 0, 0, vbSrcCopy
        Dim a As Integer
        For a = 0 To 15
            Dim val As Integer
            val = curmap.walltiles.getWallTile(i).getWall(a)
            If val <> 0 Then
                BitBlt picwalltiles.hdc, (a Mod 4) * TileW, (a / 4 + i * 4) * TileH, TileW, TileH, pictileset.hdc, ((val - 1) Mod 19) * TileW, Int((val - 1) / 19) * TileH, vbSrcCopy
            End If
            
        Next
    Next
    picwalltiles.refresh
    
    vscr.Min = 0
    vscr.Max = curmap.walltiles.UBnd
    BitBlt picpreviewwalls.hdc, 0, 0, 4 * TileW * 4, 4 * TileH * 4, picwalltiles.hdc, 0, vscr.value * 4 * TileW, vbSrcCopy
    picpreviewwalls.refresh
    
End Sub

Private Sub cmdAddNew_Click()
    Call curmap.walltiles.AddWallTile(New WallDef)
    DrawWallTiles
    
End Sub

Private Sub Form_Load()
    Set Me.Icon = frmGeneral.Icon
End Sub

Private Sub picpreviewwalls_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    curwall = vscr.value + Int(y / (TileH * 4))
    
    selwall.Top = (curwall - vscr.value) * TileH * 4
    
End Sub

Private Sub vscr_Change()
DrawWallTiles
End Sub
