VERSION 5.00
Begin VB.Form frmTip 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Tip of the Day"
   ClientHeight    =   3285
   ClientLeft      =   2400
   ClientTop       =   2430
   ClientWidth     =   5415
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3285
   ScaleWidth      =   5415
   ShowInTaskbar   =   0   'False
   WhatsThisHelp   =   -1  'True
   Begin VB.ListBox lstTips 
      Height          =   1815
      ItemData        =   "frmTip.frx":0000
      Left            =   240
      List            =   "frmTip.frx":003D
      TabIndex        =   6
      Top             =   960
      Visible         =   0   'False
      Width           =   5175
   End
   Begin VB.CheckBox chkLoadTipsAtStartup 
      Caption         =   "&Show Tips at Startup"
      Height          =   315
      Left            =   120
      TabIndex        =   3
      Top             =   2940
      Width           =   2055
   End
   Begin VB.CommandButton cmdNextTip 
      Caption         =   "&Next Tip"
      Height          =   375
      Left            =   4080
      TabIndex        =   2
      Top             =   600
      Width           =   1215
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FFFFFF&
      Height          =   2715
      Left            =   120
      Picture         =   "frmTip.frx":0931
      ScaleHeight     =   2655
      ScaleWidth      =   3675
      TabIndex        =   1
      Top             =   120
      Width           =   3735
      Begin VB.Label Label1 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Did you know..."
         Height          =   255
         Left            =   540
         TabIndex        =   5
         Top             =   180
         Width           =   2655
      End
      Begin VB.Label lblTipText 
         BackColor       =   &H00FFFFFF&
         Height          =   1635
         Left            =   180
         TabIndex        =   4
         Top             =   840
         Width           =   3255
      End
   End
   Begin VB.CommandButton cmdOK 
      Cancel          =   -1  'True
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   4080
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "frmTip"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' The in-memory database of tips.
Dim tips As New Collection

' Name of tips file
Const TIP_FILE = "tips.dat"

' Index in collection of tip currently being displayed.
Dim CurrentTip As Long

Public forceLoad As Boolean

Private Sub DoNextTip()

    ' Select a tip at random.
    CurrentTip = Int((tips.count * Rnd) + 1)
    
    ' Or, you could cycle through the Tips in order

'    CurrentTip = CurrentTip + 1
'    If Tips.Count < CurrentTip Then
'        CurrentTip = 1
'    End If
    
    ' Show it.
    frmTip.DisplayCurrentTip
    
End Sub

Private Sub chkLoadTipsAtStartup_Click()
    ' save whether or not this form should be displayed at startup
    Call SetSetting("ShowTips", chkLoadTipsAtStartup.value)
    Call SaveSettings
End Sub

Private Sub cmdNextTip_Click()
    DoNextTip
End Sub

Private Sub cmdOK_Click()
    Unload Me
End Sub

Private Sub Form_Activate()
    Dim ShowAtStartup As Integer
    
    Set Me.Icon = frmGeneral.Icon
    
    ' See if we should be shown at startup
    ShowAtStartup = GetSetting("ShowTips", 1)
    If ShowAtStartup = 0 And Not forceLoad Then
        Unload Me
        Exit Sub
    End If
    
    chkLoadTipsAtStartup = ShowAtStartup
    
    ' Seed Rnd
    Randomize
    
    Dim i As Integer
    For i = 0 To lstTips.ListCount - 1
        If lstTips.List(i) <> "" Then
            tips.add lstTips.List(i)
        End If
    Next
        
    DoNextTip
End Sub

Public Sub DisplayCurrentTip()
    If tips.count > 0 Then
        lblTipText.Caption = tips.Item(CurrentTip)
    End If
End Sub

Private Sub Form_Load()
    forceLoad = False
End Sub
